# TODO: --enable-multiprocess? (experimental as of 0.21, BR: libmultiprocess-devel)
Summary:	Litecoin is a peer-to-peer currency
Summary(pl.UTF-8):	Litecoin - waluta peer-to-peer
Name:		litecoin
Version:	0.21.4
Release:	2
License:	MIT
Group:		X11/Applications
#Sourrce0Download: https://github.com/litecoin-project/litecoin/releases
Source0:	https://download.litecoin.org/litecoin-%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	c7373705b3ab824d049e8851fd41d377
Patch0:		includes.patch
Patch1:		%{name}-univalue.patch
Patch2:		%{name}-miniupnpc.patch
Patch3:		boost-1.85.patch
URL:		https://litecoin.org/
BuildRequires:	Qt5Core-devel >= 5.4
BuildRequires:	Qt5DBus-devel >= 5.4
BuildRequires:	Qt5Gui-devel >= 5.4
BuildRequires:	Qt5Network-devel >= 5.4
BuildRequires:	Qt5Widgets-devel >= 5.4
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.49
BuildRequires:	db-cxx-devel >= 4.8
BuildRequires:	gettext-tools
BuildRequires:	libevent-devel >= 2.0.21
BuildRequires:	libfmt-devel
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:2
BuildRequires:	libunivalue-devel >= 1.0.4
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel
BuildRequires:	python3 >= 1:3.4
BuildRequires:	qrencode-devel
BuildRequires:	qt5-linguist >= 5.4
BuildRequires:	qt5-qmake >= 5.4
BuildRequires:	sqlite3-devel >= 3.7.17
BuildRequires:	zeromq-devel >= 4
Requires:	libevent >= 2.0.21
Requires:	libunivalue >= 1.0.4
Requires:	perl-base
Requires:	sqlite3-libs >= 3.7.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Litecoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions. These tasks
are managed collectively by the network.

%description -l pl.UTF-8
Litecoin to waluta peer-to-peer. Oznacza to, że nie ma centralnej
instytucji emitującej nowe pieniądze czy śledzącej transakcje. Zadania
te są zarządzane kolektywnie przez sieć.

%package qt
Summary:	Qt-based Litecoin Wallet
Summary(pl.UTF-8):	Portfel na litecoiny oparty na Qt
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description qt
Qt-based Litecoin Wallet.

%description qt -l pl.UTF-8
Portfel na litecoiny oparty na Qt.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

%build
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/secp256k1-zkp
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure \
	--disable-bench \
	--disable-gui-tests \
	--disable-shared \
	--disable-silent-rules \
	--disable-tests \
	--with-boost \
	--with-incompatible-bdb \
	--with-miniupnpc \
	--with-qrencode \
	--with-qtdbus \
	--with-system-univalue
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_datadir}/kde4/services}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# shared disabled, development packages present in bitcoin.spec and feathercoin.spec
%{__rm} -r $RPM_BUILD_ROOT{%{_libdir}/libbitcoinconsensus.*,%{_includedir}/bitcoinconsensus.h,%{_pkgconfigdir}/libbitcoinconsensus.pc}

# see contrib/rpm/bitcoin.spec

cat <<EOF >$RPM_BUILD_ROOT%{_desktopdir}/litecoin-qt.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Litecoin
Comment=Litecoin P2P Cryptocurrency
Comment[fr]=Litecoin, monnaie virtuelle cryptographique pair à pair
Comment[pl]=Litecoin - kryptowaluta P2P
Comment[tr]=Litecoin, eşten eşe kriptografik sanal para birimi
Exec=litecoin-qt %u
Terminal=false
Type=Application
Icon=bitcoin
MimeType=x-scheme-handler/litecoin;
Categories=Office;Finance;
EOF

cat <<EOF >$RPM_BUILD_ROOT%{_datadir}/kde4/services/litecoin-qt.protocol
[Protocol]
exec=litecoin-qt '%u'
protocol=litecoin
input=none
output=none
helper=true
listing=
reading=false
writing=false
makedir=false
deleting=false
EOF

cp -p share/pixmaps/bitcoin.ico $RPM_BUILD_ROOT%{_pixmapsdir}
cp -p share/pixmaps/nsis-*.bmp $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING doc/{README,REST-interface,assets-attribution,benchmarking,bips,dependencies,dnsseed-policy,reduce-traffic,release-notes*,shared-libraries,tor,zmq}.md doc/release-notes
%attr(755,root,root) %{_bindir}/litecoind
%attr(755,root,root) %{_bindir}/litecoin-cli
%attr(755,root,root) %{_bindir}/litecoin-wallet
%attr(755,root,root) %{_bindir}/litecoin-tx
%{_mandir}/man1/litecoin-cli.1*
%{_mandir}/man1/litecoin-wallet.1*
%{_mandir}/man1/litecoin-tx.1*
%{_mandir}/man1/litecoind.1*

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/litecoin-qt
%{_datadir}/kde4/services/litecoin-qt.protocol
%{_desktopdir}/litecoin-qt.desktop
%{_pixmapsdir}/bitcoin.ico
%{_pixmapsdir}/nsis-*.bmp
%{_mandir}/man1/litecoin-qt.1*
%changelog
* Fri Dec 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/litecoin.git;a=log;h=master

* Fri Dec 27 2024 Jan Rękorajski <baggins@pld-linux.org> 4c069d2
- rel 2, fix building with boost 1.85

* Fri Oct 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 482b53a
- updated to 0.21.4 (fixes CVE-2024-35202)

* Mon Sep 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 2a505a1
- added patch for miniupnpc API 18; release 2

* Wed Jul 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 289f81c
- updated to 0.21.3 (fixes CVE-2023-33297)

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 10ec305
- updated to 0.21.2.2

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> e7fa024
- boost rebuild

* Wed Jul 05 2023 Jan Palus <atler@pld-linux.org> 2f0849e
- add missing headers to fix build

* Sat Feb 18 2023 Jan Palus <atler@pld-linux.org> e3c82ea
- boost rebuild

* Wed Aug 31 2022 Jan Palus <atler@pld-linux.org> 19816b9
- libfmt rebuild

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 72cec7b
- updated libmultiprocess comment

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> 653a070
- updated to 0.21.2.1
- removed obsolete qt-5.15 patch

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> 18b3f31
- boost rebuild

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> 4e00ef9
- boost rebuild

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> e210dce
- rebuild with openssl 3.0.0

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 9256e9f
- boost rebuild

* Thu Jan 21 2021 Jan Rękorajski <baggins@pld-linux.org> 21ac2cb
- release 3 (by relup.sh)

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> b5b7348
- added univalue patch (fixes build with system libunivalue)
- release 2 (protobuf 3.13)

* Sat Aug 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 3060380
- updated to 0.18.1

* Tue Jun 02 2020 Jan Rękorajski <baggins@pld-linux.org> a01bc00
- rel 5, fix building qith qt 5.15

* Wed Apr 08 2020 Jan Rękorajski <baggins@pld-linux.org> 6439f87
- release 4 (by relup.sh)

